View Issue Details

IDProjectCategoryView StatusLast Update
0004519SymmetricDSBugpublic2020-09-23 16:34
Reporterpmarzullo Assigned Topmarzullo  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.12.4Fixed in Version3.12.4 
Summary0004519: Database name with special character like minus sign, fails to create trigger when in same database
DescriptionOn MySQL, the database name had a minus (-) sign in the name, which caused trigger creation to fail.

org.jumpmind.db.sql.SqlException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near
Steps To Reproducecreate database my-test;
Tagsdialect: mysql/mariadb

Relationships

related to 0004470 resolvedpmarzullo Database name with special character like minus sign, fails to create trigger when in same database 
related to 0004518 closedpmarzullo Database name with special character like minus sign, fails to create trigger when in same database 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 b8ba16ac

2020-09-03 11:54:01

pmarzullo

Details Diff
0004519: Database name with special character like minus sign, fails to
create trigger
Affected Issues
0004519
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlSymmetricDialect.java Diff File

SymmetricDS: 3.12 791bfee9

2020-09-04 13:53:28

pmarzullo

Details Diff
0004519: Database name with special character like minus sign, fails to
create trigger
Affected Issues
0004519
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlSymmetricDialect.java Diff File

Issue History

Date Modified Username Field Change
2020-09-03 11:23 pmarzullo New Issue
2020-09-03 11:23 pmarzullo Status new => assigned
2020-09-03 11:23 pmarzullo Assigned To => pmarzullo
2020-09-03 11:23 pmarzullo Tag Attached: dialect: mysql/mariadb
2020-09-03 11:24 pmarzullo Relationship added related to 0004470
2020-09-03 11:24 pmarzullo Relationship added related to 0004518
2020-09-03 11:53 pmarzullo Summary 0004518: Database name with special character like minus sign, fails to create trigger => Database name with special character like minus sign, fails to create trigger
2020-09-03 11:55 pmarzullo Status assigned => resolved
2020-09-03 11:55 pmarzullo Resolution open => fixed
2020-09-03 11:55 pmarzullo Fixed in Version => 3.12.4
2020-09-03 12:00 pmarzullo Changeset attached => SymmetricDS 3.12 b8ba16ac
2020-09-04 14:00 pmarzullo Changeset attached => SymmetricDS 3.12 791bfee9
2020-09-04 14:24 pmarzullo Summary Database name with special character like minus sign, fails to create trigger => Database name with special character like minus sign, fails to create trigger when in same database
2020-09-23 16:34 admin Status resolved => closed